Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.mock
Class MockInterceptor

    java.lang.Object
      com.opensymphony.xwork2.mock.MockInterceptor

All Implemented Interfaces:
  Interceptor, Serializable

    public class MockInterceptor

extends Object
implements Interceptor

Mock for an `Interceptor`.

Author:
  Jason Carreira
See Also:
  Serialized Form

Field Summary
`static String` | `DEFAULT_FOO_VALUE`
`private boolean` | `executed`
`private String` | `expectedFoo`
`private String` | `foo`

Constructor Summary
`MockInterceptor()`

Method Summary
`void` | `destroy()` Called to let an interceptor clean up any resources it has allocated.
`boolean` | `equals(Object o)`
`String` | `getExpectedFoo()`
`String` | `getFoo()`
`int` | `hashCode()`
`void` | `init()` Called after an Interceptor is created, but before any requests are processed using the intercept() methodName.
`String` | `intercept(ActionInvocation invocation)` Allows the Interceptor to do some processing on the request before and/or after the rest of the processing of the request by the DefaultActionInvocation or to short-circuit the processing and just return a String return code.
`boolean` | `isExecuted()`
`void` | `setExpectedFoo(String expectedFoo)`
`void` | `setFoo(String foo)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_FOO_VALUE

    public static final String DEFAULT_FOO_VALUE

See Also:
  Constant Field Values

### expectedFoo

    private String expectedFoo

### foo

    private String foo

### executed

    private boolean executed

Constructor Detail

### MockInterceptor

    public MockInterceptor()

Method Detail

### isExecuted

    public boolean isExecuted()

### setExpectedFoo

    public void setExpectedFoo(String expectedFoo)

### getExpectedFoo

    public String getExpectedFoo()

### setFoo

    public void setFoo(String foo)

### getFoo

    public String getFoo()

### destroy

    public void destroy()

  Called to let an interceptor clean up any resources it has allocated.

  Specified by:
    `destroy` in interface `Interceptor`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### init

    public void init()

  Called after an Interceptor is created, but before any requests are processed using the intercept() methodName. This gives the Interceptor a chance to initialize any needed resources.

  Specified by:
    `init` in interface `Interceptor`

### intercept

    public String intercept(ActionInvocation invocation)
                     throws Exception

  Allows the Interceptor to do some processing on the request before and/or after the rest of the processing of the request by the DefaultActionInvocation or to short-circuit the processing and just return a String return code.

  Specified by:
    `intercept` in interface `Interceptor`
  Returns:
    the return code, either returned from `ActionInvocation.invoke()`, or from the interceptor itself.
  Throws:
    `Exception` - any system-level error, as defined in `Action.execute()`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 OpenSymphony. All Rights Reserved.